Skip to navigation

Update tenant

View as Markdown
Update tenant properties such as alias.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

tenantIdintegerRequired>=0
The id of the tenant to retrieve

Request

The tenant properties to update.
aliasstring or nullOptionalformat: "^[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9]$"2-255 characters
An optional alias for the tenant. Must be unique across all tenant names and aliases.

Response

Tenant updated successfully.
idinteger
The id of the tenant.
uuidstringformat: "uuid"
The universally unique identifier of the tenant.
namestring
The internal system name of the tenant.
smgboolean
statusenum

The current status of the tenant. Possible values:

  • Creating
  • Failed
  • Updating
  • Deleted
  • Deleting
  • Ready
createdAtdatetime
The date and time when the tenant was created.
updatedAtdatetime
The date and time when the tenant was last updated.
contractTypeenum
Allowed values:
mimirIdstringOptional
displayNamestringOptional
The name of the tenant as shown to users within the tenant.
aliasstringOptional
An optional alias for the tenant.
diagnosticsstringOptional

Most recent provisioning failure message. Only populated by GET /tenants/{id} when status is Failed.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error
503
Service Unavailable Error